import { LoggerService } from '@nestjs/common';
import { Logger } from 'pino';
export declare class DefaultLoggerService implements LoggerService {
    private readonly defaultLogger;
    constructor(defaultLogger: Logger | (() => Logger));
    get instance(): Logger<import("pino").LoggerOptions>;
    private logMessage;
    child(options: object): DefaultLoggerService;
    error(message: any, ...optionalParams: any[]): any;
    log(message: any, ...optionalParams: any[]): any;
    info(message: any, ...optionalParams: any[]): any;
    debug(message: any, ...optionalParams: any[]): any;
    trace(message: any, ...optionalParams: any[]): any;
    warn(message: any, ...optionalParams: any[]): any;
}
